Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.xmlparser.builders
Class SpanOrTermsBuilder

    java.lang.Object
      org.apache.lucene.xmlparser.builders.SpanBuilderBase
          org.apache.lucene.xmlparser.builders.SpanOrTermsBuilder

All Implemented Interfaces:
  SpanQueryBuilder, QueryBuilder

    public class SpanOrTermsBuilder

extends SpanBuilderBase

Constructor Summary
`SpanOrTermsBuilder(Analyzer analyzer)`

Method Summary
`SpanQuery` | `getSpanQuery(Element e)`

Methods inherited from class org.apache.lucene.xmlparser.builders.SpanBuilderBase
`getQuery`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpanOrTermsBuilder

    public SpanOrTermsBuilder(Analyzer analyzer)

Parameters:
  `analyzer` -

Method Detail

### getSpanQuery

    public SpanQuery getSpanQuery(Element e)
                           throws ParserException

  Throws:
    `ParserException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD